com.singularsys.jep.misc.nullwrapper

## Class NullWrappedFunctionTable

- java.lang.Object
- - com.singularsys.jep.FunctionTable
  - - com.singularsys.jep.misc.nullwrapper.NullWrappedFunctionTable

- All Implemented Interfaces:
    JepComponent, java.io.Serializable

      public class NullWrappedFunctionTable
      extends FunctionTable

  A function table which wraps all the functions in an existing table.
  Since:
    3.4
  Author:
    Richard Morris
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.singularsys.jep.FunctionTable

      `table`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NullWrappedFunctionTable(FunctionTable root)` Create a new function table which wraps all the functions in the original table.
    `NullWrappedFunctionTable(FunctionTable root, NullWrappedFunctionFactory factory)` A table where a specific NullWrapperFunctionFactory is defined.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PostfixMathCommandI` | `addFunction(java.lang.String name, PostfixMathCommandI pfmc)`

    - ### Methods inherited from class com.singularsys.jep.FunctionTable

      `clear, containsKey, containsValue, entrySet, getFunction, getLightWeightInstance, init, isEmpty, keySet, remove, shallowCopy, size, toString, values`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NullWrappedFunctionTable

          public NullWrappedFunctionTable(FunctionTable root)

      Create a new function table which wraps all the functions in the original table. For each function in the original it will first call `NullWrappedFunctionFactory.getWrappedFunction(PostfixMathCommandI)` to find the appropriate function.
      Parameters:
        `root` - the original table

    - #### NullWrappedFunctionTable

          public NullWrappedFunctionTable(FunctionTable root,
                                          NullWrappedFunctionFactory factory)

      A table where a specific NullWrapperFunctionFactory is defined.
      Parameters:
        `root` -
        `factory` -

  - ### Method Detail

    - #### addFunction

          public PostfixMathCommandI addFunction(java.lang.String name,
                                                 PostfixMathCommandI pfmc)

      Overrides:
        `addFunction` in class `FunctionTable`

Copyright © 2018 Singular Systems http://www.singularsys.com/jep